build_and_test_web_app:
  stage: build
  image: cirrusci/flutter:stable
  before_script:
    - flutter pub get
  script:
    - flutter build web
    - flutter analyze
    - flutter test
  artifacts:
    paths:
      - build/web
 
pages:
  stage: deploy
  script:
    - cp -r build/web public
  artifacts:
    paths:
      - public
  only:
    - main
